/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.gradle.plugins.defaults.internal.util;

/**
 * @author Andrea Di Giorgi
 */
public class StringUtil extends com.liferay.gradle.util.StringUtil {

	public static String merge(Iterable<String> iterable, String separator) {
		StringBuilder sb = new StringBuilder();

		boolean first = true;

		for (String s : iterable) {
			if (!first) {
				sb.append(separator);
			}

			first = false;

			sb.append(s);
		}

		return sb.toString();
	}

	public static String uncapitalize(String s) {
		char firstChar = s.charAt(0);

		if (Character.isUpperCase(firstChar)) {
			s = Character.toLowerCase(firstChar) + s.substring(1);
		}

		return s;
	}

}